Subject: Re: [EDUC] Présentation + questions sur l'apprentissage de la programmation pour les 4-5 ans
From: fabio <[email-masked]>
To: [email-masked]
Date: Sun, 23 Nov 2014 15:44:13 +0100
List-Id: <educ.april.org>

Hello,

Le 23/11/2014 14:14, Sébastien Dumortier a écrit :
> Bonjour,
> Le 23 nov. 2014 09:42, "fabio" <[email-masked]
> <mailto:[email-masked]>> a écrit :
>  >
>  > Bonjour,
>  >
>  > Je suis surpris de cette réponse ! Évidemment qu'il y a des outils
> bien faits non libres, mais je ne pense pas que ce soit la vocation de
> l'April et de cette liste d'en faire le relais.
> Je pense qu'il faut éviter d'avoir une attitude aussi fermée que ce
> qu'on reproche aux logiciels proprio.
> En l'occurrence, si ce soit est bien fait, qu'il est gratuit, et qu'il
> est multiplateforme, ça ne me semble pas décalé d'en parler. Par
> ailleurs, le voir peut permettre aux développeurs talentueux dans le
> monde du libre de s'inspirer de son fonctionnement pour créer une
> ressource libre.

Il ne s'agît pas "d'attitude fermée" mais d'attitude adaptée au 
contexte. Flash a été (et est toujours) un exemple de système intrusif 
qui est l'essence même du contraire de l'interopérabilité.

Et oui, je continue à penser qu'il est décalé de promouvoir des 
logiciels propriétaires sur cette liste quelle que soit leur qualité.

Pour terminer, si on commence à parler ici des logiciels gratuits, il 
faudra bien évoquer ce que signifie gratuit ! On ne doit pas avoir la 
même définition. ;)

>  > C'est parce qu'on ne répond pas à un besoin que de façon utilitariste
> que l'on avancera d'un point de vue sociétal et pour le libre. Quand je
> me fatigue à faire le tri de mes déchets, je suis dans la même logique,
> je ne réponds pas à mon besoin primaire qui est d'évacuer mes déchets,
> (sinon je mets tout dans la même poubelle) mais je vais au delà de mon
> besoin même si c'est plus fatigant et moins performant dans la réponse à
> mon besoin.
> Mon besoin primaire n'est pas d'évacuer mes déchets mais de permettre à
> mes enfants de vivre dans un monde meilleur.

C'est pourtant facile alors de faire le parallèle avec : "utiliser des 
logiciels libres permettront à mes enfants de vivre dans un monde meilleur"

> De la même manière, mon besoin primaire est d'apporter à mes élèves des
> outils qui leur permettent de progresser, sans les enfermer dans une
> démarche consumériste. Je crois être dans cet esprit. Cela ne m'empêche
> pas de garder mon libre arbitre et d'être capable de reconnaître qu'un
> soft non libre peut être meilleur qu'un soft libre. C'est cela même qui
> permettra au libre de s'améliorer.

Je crois que la démarche de comparer la qualité d'un logiciel au regard 
de la réponse à un besoin (ce que j'appelle la vision utilitariste) ne 
permet pas d'avoir une approche constructive du libre, c'est au 
contraire une approche consumériste qui ne nous amènera à aucune avancée 
sociétal même si c'est un pis aller dans l'approche que l'on peut faire 
avec des utilisateurs qui n'ont pas encore pris de recul sur l'usage 
qu'ils font de l'informatique.

Librement aussi ! ;)

>  > Mes amitiés,
>
> Librement,
>  > Fabio
>
> Seb.
>  >
>  > Le 22/11/2014 17:07, Sébastien Dumortier a écrit :
>  >>
>  >> Sinon, en non libre et en flash (dommage) il y a un excellent petit soft
>  >> de programmation par pictogrammes avec récursivité possible, qui
>  >> s'appelle light bot vraiment très bien fait (
>  >>
> http://www.lyc-arsonval-brive.ac-limoges.fr/dumortier/spip.php?article92)
>  >>
>  >> Le 22 nov. 2014 15:48, François Termote <[email-masked]
> <mailto:[email-masked]>
>  >> <mailto:[email-masked] <mailto:[email-masked]>>> a
> écrit :
>  >>
>  >>
>  >>     Bonjour,
>  >>     Je fais de l'animation informatique scolaire depuis 4 ans (et
>  >>     périscolaire depuis 3 mois), pour des classes allant de la moyenne
>  >>     section au CM2.
>  >>     En ce qui concerne l'initiation à la programmation j'utilise
>  >>     scratch, et avec de petits groupes (une dizaine d'élèves), ça marche
>  >>     bien avec les bons CE2 et au dessus.
>  >>     Ça ne me viendrait pas à l'idée d'essayer avec des élèves de CP, à
>  >>     moins peut être d'en avoir que 5, et parmi les calmes (ce qui
>  >>     n'arrivera jamais).
>  >>     Après je n'imaginerait pas pouvoir aller bien loin pour autant,
>  >>     scratch repose sur une scène qui utilise un système de coordonnées
>  >>     cartésiennes pour repérer les objets et des rotations en degrés,
>  >>     pour un CP qui apprend à peine à lire, ça limite le nombre de
>  >>     commande compréhensible...
>  >>     J'avais quand même essayé avec une activité de Gcompris "la course
>  >>     de bateau", qui ressemble de loin à de la programmation à 3
>  >>     commandes (avancer/droite/gauche) mais les bateaux sont confrontés
>  >>     pendant leur traversée à des vents représentés par des vecteurs, et
>  >>     les 2 commandes de rotation sont paramétrées avec des angles en
>  >>     degrés, ce qui passe vraiment difficilement pour les petits
>  >>     (l'activité vise plus des 6 ème). Et à la limite le pire c'est que
>  >>     l'activité est male initiatlisée, une commande comme "avance 30",
>  >>     qui revient à traverser en ligne droite, suffit de gagner 4 fois sur
>  >>     5, et comme l'idée leur vient assez naturellement d'essayer des
>  >>     nombres immenses...
>  >>     Donc pour arriver aux maternelles moyens-grands, il faudrait une
>  >>     application du style "course de bateau" car ça reste très visuel,
>  >>     trois commandes c'est bien (avancer/droitre/gauche), mais des
>  >>     paramètres non numériques (un peu/beaucoup/énormément), et des
>  >>     obstacles moins abstrait que des vecteurs (iles, baleines, pirates).
>  >>     Et le tout sans texte (avec des pictogrammes).
>  >>     Et si je ne devais garder qu'une chose, il faut trouver un moyen de
>  >>     faire de la programmation par pictogramme, je ne sais pas si ça
>  >>     existe, merci pour le lien 'programmation pour les enfants" je vais
>  >>     y jeter un coup d'œil.
>  >>     Sinon, scratch est un logiciel libre (licence MIT).
>  >>     Bon week end
>  >>     François
>  >>     *Envoyé:* samedi 22 novembre 2014 à 14:35
>  >>     *De:* "David MENTRÉ" <[email-masked]
> <mailto:[email-masked]>
>  >>     <mailto:[email-masked] <mailto:[email-masked]>>>
>  >>     *À:* "[email-masked] <mailto:[email-masked]>
> <mailto:[email-masked] <mailto:[email-masked]>> >> Liste April Educ"
>  >>     <[email-masked] <mailto:[email-masked]> <mailto:[email-masked]
> <mailto:[email-masked]>>>
>  >>     *Objet:* [EDUC] Présentation + questions sur l'apprentissage de la
>  >>
>  >>     programmation pour les 4-5 ans
>  >>     Bonjour à tous,
>  >>
>  >>     Je me présente : David Mentré, 41 ans, informaticien, libriste
> depuis
>  >>     pas mal de temps (disons 1993 - 1994), membre fondateur de Gulliver
>  >>     (1998), groupe de libristes rennais. Pour plus de liens sur mes
>  >>     occasionnelles contributions au libre :
>  >> http://gulliver.eu.org/david_mentre
>  >>
>  >>     Je suis membre de l'April depuis quelques années (arrivé au
> moment de la
>  >>     grosse augmentation du nombre d'adhérents) mais je n'ai jamais
> interagit
>  >>     avec l'asso (adhésion de soutient seulement)... jusqu'à
> aujourd'hui. :-)
>  >>
>  >>     Ma question : quelles ressources libres (doc + logiciels)
> pouvez-vous
>  >>     avoir pour enseigner la programmation à des tous petits, 4-5 ans,
>  >>     Maternelle Moyen et Grands ? Avez vous des témoignages, des
> expériences
>  >>     à partager ?
>  >>
>  >>     J'ai commencé mes recherches sur Internet. J'ai trouvé quelques
> liens
>  >>     intéressants comme :
>  >> https://github.com/elefevre/programmation-pour-les-enfants
>  >>     Mais cette liste ne donne pas *que* des systèmes ou ressources
> libres.
>  >>     Par exemple, je ne pense pas que Scratch du MIT donné en
> référence soit
>  >>     libre.
>  >>
>  >>     Je me suis dit que certains membres de l'April devaient avoir
> des infos
>  >>     à partager.
>  >>
>  >>     Merci d'avance pour tout pointeur,
>  >>     Bien cordialement,
>  >>     david
>  >>
>  >>
>  >>     --
>  >>     Pour gérer votre abonnement à la liste educ et vos informations
>  >>     personnelles :
>  >> http://listes.april.org/wws/info/educ
>  >>
>  >>     --
>  >>     Pour gérer votre abonnement à la liste educ et vos informations
>  >>     personnelles :
>  >> http://listes.april.org/wws/info/educ
>  >>
>  >>
>  >>
>  >> --
>  >> Pour gérer votre abonnement à la liste educ et vos informations
> personnelles :
>  >> http://listes.april.org/wws/info/educ
>  >>
>  >
>  > --
>  > Pour gérer votre abonnement à la liste educ et vos informations
> personnelles :
>  > http://listes.april.org/wws/info/educ
>  >
>
>
>
> --
> Pour gérer votre abonnement à la liste educ et vos informations personnelles :
> http://listes.april.org/wws/info/educ
>
--
Pour gérer votre abonnement à la liste educ et vos informations personnelles :
http://listes.april.org/wws/info/educ